#JsMagMUD - A JavaScript MUD project
JsMagMUD is a MUD engine and library written in JavaScript and using the
Node.js server-side framework.  It consists of 3 parts:

* An HTML Client
* A core game engine
* A library of game-specific entities and components

##Why call it JsMagMUD?
JsMagMUD is a real-world implementation of various topics discussed in
[JsMag's](http://www.jsmag.com/) Game Development series.  Different design
aspects and implementations are discussed throughout the series.

##Dependencies
The following software is need for JsMagMUD to run:

* Node.js 0.4.3+
* Socket.io 0.7.6+

##Coding/Development Standards
Consistence in coding and development style is important in any project
development as it makes reading and debugging code easier when a common
development approach is used.  Below is a list of coding style and development
guidelines that are used in this project.  Contributors are asked to, but not
required to, follow these guidelines.

* JS files should always return an object when consumed using require.
* The use of 'Object.create' is preferred over 'new'.
* Module-level variable should be camel-case with capitalized first letter
* Object methods and function arguments should be camel-case with lower-case first letter
* Function-level variables should be all lower-case and use _ to separate words
* Documentation should follow [JSDoc-Toolkit](http://code.google.com/p/jsdoc-toolkit/) standards

Not all files in this project may follow these guidelines.  Those that do not
should be updated in time to meet these guidelines.
